%%%%%
%%%%% This problem is used by: 0sn,4,shmanalogy
%%%%%
For a one-dimensional harmonic oscillator, the solution to the
energy conservation equation,
\begin{equation*}
        U+K = \frac{1}{2}kx^2+\frac{1}{2}mv^2 = \text{constant} \qquad ,
\end{equation*}
is an oscillation with frequency $\omega=\sqrt{k/m}$.  

\noindent Now consider an analogous system consisting of a bar magnet hung from a thread,
which acts like a magnetic compass. A normal
compass is full of water, so its oscillations are strongly damped, but the
magnet-on-a-thread compass has very little friction, and will oscillate repeatedly
around its equilibrium direction. The magnetic energy of the bar magnet
is
\begin{equation*}
        U = -Bm\cos\theta \qquad ,
\end{equation*}
where $B$ is a constant that measures the strength of the earth's magnetic field,
$m$ is a constant that parametrizes the strength of the magnet, and
$\theta$ is the angle, measured in radians, 
between the bar magnet and magnetic north. The equilibrium
occurs at $\theta=0$, which is the minimum of $U$.

\noindent (a) Problem \ref{hw:anganalogies} on p.~\pageref{hw:anganalogies} gave some examples of how to construct
analogies between rotational and linear motion. 
Using the same technique, translate the
equation defining the linear quantity $k$ to one that defines an analogous angular
one $\kappa$ (Greek letter kappa). Applying this to the present example, find an
expression for $\kappa$.
(Assume the thread is so thin that its stiffness does not have any significant
effect compared to earth's magnetic field.)\hwendpart
(b) Find the frequency of the compass's vibrations.
